// utils.js　2020.6.16 created by wg js辅助代码

var LoyalSoft = {};                                                             // 命名空间 龙游
LoyalSoft.Utils = {                                                             // 命名空间 工具类
    // 创建table, data:数据(数组), 挂载到哪个HTML节点下
    createTable: function (data, node) {                                        // 方法
        var rows = data.length;
        var cols = data[0].length;
        var $tab = $("<table draggable=true></table>");                         // 创建表格table元素

        var $th = $("<tr></tr>");                                               // 创建表头行
        for (var key in data[0]) {
            var $thcell = $("<td></td>");                                       // 创建表头单元格
            $thcell.html(key);                                                  // 填充表头文本
            $th.append($thcell);                                                // 将单元格添加到表头
        }
        $tab.append($th);                                                       // 添加表头
        for (var j = 0; j < rows; j++) {
            var $tr = $("<tr></tr>");                                           // 创建表格tr行元素
            for (var key in data[j]) {
                var $td = $("<td></td>");                                       // 创建td单元格元素
                $td.html(data[j][key]);                                         // 填充数据
                $tr.append($td);                                                // 将td单元格添加到表格行tr上
            }
            $tab.append($tr);                                                   // 将tr表格行添加到table表格上
        }
        $(node).append($tab);                                                   // 将创建好的整个table挂载到div上
        $(node).append("<br/>");                                                // 换行 
    },
}